Reindex Tags
1 min
POST
https://api.upstartcommerce.com/pim/tags/search/reindex
Header Parameters
- x-upstart-tenantstringrequiredDescriptionMin Length1
Responses
200
- ReIndex.json
400
- ValidationErrorResponse.json
401
- ErrorResponse.json
403
- ErrorResponse.json
405
- ErrorResponse.json
406
- ErrorResponse.json
409
- ErrorResponse.json
412
- ErrorResponse.json
415
- ErrorResponse.json
default
- ErrorResponse.json
curl
curl --request POST \
--url https://api.upstartcommerce.com/pim/tags/search/reindex \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
var requestOptions = {
method: 'POST',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/pim/tags/search/reindex", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/pim/tags/search/reindex")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/pim/tags/search/reindex"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Tag search data re-indexed.
{}400
// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
{}401
// The provided credentials were not valid for this endpoint.
{}403
// User's roles are insufficient for this endpoint.
{}405
// This is to indicate that the server has received a request with an HTTP method that is not supported for the requested resource.
{}406
// This is to indicate that the resource requested by the client cannot be provided in a format that is acceptable according to the Accept headers sent in the request.
{}409
// This is to indicate a conflict between the current state of a resource and the request made by the client. It indicates that the server cannot complete the request due to a conflict with the current state of the resource.
{}412
// This is to indicate that a client request is not processed because one or more preconditions given in the request header fields failed to be met.
{}415
// This is to indicate that the server cannot process the request because the media type of the request entity is not supported or not recognized by the server.
{}default
// This is the default internal server error. System was not able to process this request.
{}